All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
ub_free.hpp File Reference
`#include <stan/math/prim/scal/fun/identity_free.hpp>`
`#include <stan/math/prim/scal/err/check_less_or_equal.hpp>`
`#include <boost/math/tools/promotion.hpp>`
`#include <cmath>`
`#include <limits>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T , typename TU >
boost::math::tools::promote_args < T, TU >::type | stan::math::ub_free (const T y, const TU ub)
| Return the free scalar that corresponds to the specified upper-bounded value with respect to the specified upper bound. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.